summaryrefslogtreecommitdiff
path: root/autobuild.sh
diff options
context:
space:
mode:
Diffstat (limited to 'autobuild.sh')
-rwxr-xr-xautobuild.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/autobuild.sh b/autobuild.sh
new file mode 100755
index 00000000..0d8f8b27
--- /dev/null
+++ b/autobuild.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# auto build script based on fedora but usable for other distros
+#author=Blame <blame@aethyra.com>
+#last modified date 2008-09-16 Blame
+
+
+echo "Generating build information using aclocal, autoheader, automake and autoconf."
+echo
+
+# Regerate configuration files
+aclocal
+autoheader
+automake --gnu --add-missing --copy
+autoconf
+
+echo
+echo "Now you are ready to run ./configure"
+
+./configure
+
+echo
+echo "now running make"
+
+make
+
+echo
+echo "now running make install please input your root password"
+
+su -c "make install"
+su -c "make clean"
+
+echo "done"
+
+aethyra &
+exit 1;